# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSharedConfig Class Reference

KConfig variant using shared memory. More...

`#include <kconfig.h>`

Inheritance diagram for KSharedConfig:

[legend]
Collaboration diagram for KSharedConfig:

[legend]
List of all members.

## Public Types

typedef KSharedPtr< KSharedConfig > | Ptr

## Static Public Member Functions

static KSharedConfig::Ptr | openConfig (const QString &fileName, bool immutable=false, bool bUseKDEGlobals=true)

## Friends

class | QValueList<KSharedConfig*>

## Detailed Description

KConfig variant using shared memory.

KSharedConfig provides a reference counted, shared memory variant of KConfig.

Definition at line 273 of file kconfig.h.

## Member Function Documentation

KSharedConfig::Ptr KSharedConfig::openConfig | ( | const QString & | fileName,
|  | bool | immutable = `false`,
|  | bool | bUseKDEGlobals = `true`
| ) | `[static]`

Returns a ref-counted pointer to a shared read-write config object.

Parameters:

  | fileName | the name of the file to use for the configuration
  | immutable | if true, force the config object to be read-only.
  | bUseKDEGlobals | Toggle reading the global KDE configuration file.

Definition at line 334 of file kconfig.cpp.

References QValueList::begin(), and QValueList::end().

Referenced by KInstance::config(), KConfigSkeleton::KConfigSkeleton(), and KIconTheme::KIconTheme().

The documentation for this class was generated from the following files:

- kconfig.h
- kconfig.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:01 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003